package config


import (
  "log"

  "github.com/BurntSushi/toml"
)

type config struct {
  Admin string `toml:"admin"`
  Views string `toml:"views"`
  Layouts string `toml:"layouts"`
  Port string `toml:"port"`

  Database struct {
    Driver string `toml:"driver"`
    Url string `toml:"url"`
  } `toml:"database"`
}

var Settings config

func Load(path string) {
  metadata, err := toml.DecodeFile(path, &Settings)

  if err != nil {
    log.Fatalf("error loading config.toml: %v", err)
  }

  bad_keys := metadata.Undecoded()

  if len(bad_keys) > 0 {
    log.Fatalf("unknown configuration keys: %v", bad_keys);
  }
}
